Confirmed : Sky3ds Plus Flashcart Work On 3DS 10.4.0-29U Directly

Confirmed : Sky3ds Plus Flashcart Work On 3DS 10.4.0-29U Directly

News !The 3DS  system firmware has been updated to 10.4.0-29U , which flashcart can support the 3DS 10.4.0-29U ? Will 3DS 10.4.0-29U block the sky3ds plus flashcart ?

Here is the update details :

Main changes for version 10.4.0-29U

Update released: January 18th, 2016

  • Further improvements to overall system stability and other minor adjustments have been made to enhance the user experience

It seems the new system firmware don’t have much change .The great news is: It has been confirmed that the sky3ds plus card can work on the latest 3DS system firmware . Sky3ds plus flashcart is the only 3ds flashcart to run all 3ds games on the latest 3DS v10.4.0-29U Click here to buy sky3ds plus flashcart : Buy Official sky3ds plus flashcart

sky3ds plus flashcart

sky3ds plus flashcart

What’s more , for those who want to run ds games on the newest 3DS v10.4.0-29U , the r4i gold 3ds flashcart is the best choice , it always can work on the latest 3DS firmware .

Comments are closed.